Loading...
Searching...
No Matches
vkd3d_shader_parameter_immediate_constant Struct Reference

The value of an immediate constant parameter, used in struct vkd3d_shader_parameter. More...

`#include <vkd3d_shader.h>`

## Data Fields

union { |
uint32_t u32 |
| The value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_UINT32.
float f32 |
| The value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32. More...
} | u

## Detailed Description

The value of an immediate constant parameter, used in struct vkd3d_shader_parameter.

## Field Documentation

## f32

float vkd3d_shader_parameter_immediate_constant::f32

The value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32.

Since
  1.13

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h